// python wrapper for vtkITKBilateralImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKBilateralImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKBilateralImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKBilateralImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKBilateralImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKBilateralImageFilter *op;

  const char    *temp20;
  op = (vtkITKBilateralImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKBilateralImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKBilateralImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKBilateralImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKBilateralImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKBilateralImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKBilateralImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKBilateralImageFilter *op;

  vtkITKBilateralImageFilter  *temp20;
  op = (vtkITKBilateralImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKBilateralImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKBilateralImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKBilateralImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKBilateralImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKBilateralImageFilter_SetDomainSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKBilateralImageFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkITKBilateralImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKBilateralImageFilter::SetDomainSigma(temp0,temp1,temp2);
      }
    else
      {
      op->SetDomainSigma(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKBilateralImageFilter_SetRangeSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKBilateralImageFilter *op;

  double   temp0;
  op = (vtkITKBilateralImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKBilateralImageFilter::SetRangeSigma(temp0);
      }
    else
      {
      op->SetRangeSigma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKBilateralImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKBilateralImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKBilateralImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKBilateralImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKBilateralImageFilter\nC++: vtkITKBilateralImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKBilateralImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKBilateralImageFilter\nC++: vtkITKBilateralImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDomainSigma",                (PyCFunction)PyvtkITKBilateralImageFilter_SetDomainSigma, 1,
   (char*)"V.SetDomainSigma(float, float, float)\nC++: void SetDomainSigma (double v1, double v2, double v3);double v v v1 v v2 v v3 DelegateITKInputMacro SetDomainSigma v \n\n"},
  {(char*)"SetRangeSigma",                (PyCFunction)PyvtkITKBilateralImageFilter_SetRangeSigma, 1,
   (char*)"V.SetRangeSigma(float)\nC++: void SetRangeSigma (double v1);DelegateITKInputMacro SetRangeSigma v1 \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKBilateralImageFilterDoc[] = {
  (char*)"vtkITKBilateralImageFilter - Wrapper class around itk::BilateralImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKBilateralImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKBilateralImageFilterStaticNew()
{
  return vtkITKBilateralImageFilter::New();
}

PyObject *PyVTKClass_vtkITKBilateralImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKBilateralImageFilterStaticNew,
                        PyvtkITKBilateralImageFilterMethods,
                        (char*)"vtkITKBilateralImageFilter",modulename,
                        (char**)vtkITKBilateralImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

