// python wrapper for vtkITKGradientAnisotropicDiffusionImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKGradientAnisotropicDiffusionImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKGradientAnisotropicDiffusionImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKGradientAnisotropicDiffusionImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  const char    *temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  vtkITKGradientAnisotropicDiffusionImageFilter  *temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKGradientAnisotropicDiffusionImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKGradientAnisotropicDiffusionImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  double   temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_GetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  double   temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::GetConductanceParameter();
      }
    else
      {
      temp20 = op->GetConductanceParameter();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  unsigned int      temp20;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientAnisotropicDiffusionImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  unsigned int      temp0;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientAnisotropicDiffusionImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  double   temp0;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientAnisotropicDiffusionImageFilter::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientAnisotropicDiffusionImageFilter_SetConductanceParameter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientAnisotropicDiffusionImageFilter *op;

  double   temp0;
  op = (vtkITKGradientAnisotropicDiffusionImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKGradientAnisotropicDiffusionImageFilter::SetConductanceParameter(temp0);
      }
    else
      {
      op->SetConductanceParameter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKGradientAnisotropicDiffusionImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKGradientAnisotropicDiffusionImageFilter\nC++: vtkITKGradientAnisotropicDiffusionImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKGradientAnisotropicDiffusionImageFilter\nC++: vtkITKGradientAnisotropicDiffusionImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> float\nC++: double GetTimeStep ();DelegateITKOutputMacro GetTimeStep \n\n"},
  {(char*)"GetConductanceParameter",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_GetConductanceParameter, 1,
   (char*)"V.GetConductanceParameter() -> float\nC++: double GetConductanceParameter ();DelegateITKOutputMacro GetConductanceParameter \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: unsigned int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (unsigned int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_SetTimeStep, 1,
   (char*)"V.SetTimeStep(float)\nC++: void SetTimeStep (double value);DelegateITKInputMacro SetTimeStep value \n\n"},
  {(char*)"SetConductanceParameter",                (PyCFunction)PyvtkITKGradientAnisotropicDiffusionImageFilter_SetConductanceParameter, 1,
   (char*)"V.SetConductanceParameter(float)\nC++: void SetConductanceParameter (double value);DelegateITKInputMacro SetConductanceParameter value \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKGradientAnisotropicDiffusionImageFilterDoc[] = {
  (char*)"vtkITKGradientAnisotropicDiffusionImageFilter - Wrapper class around itk::GradientAnisotropicDiffusionImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKGradientAnisotropicDiffusionImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKGradientAnisotropicDiffusionImageFilterStaticNew()
{
  return vtkITKGradientAnisotropicDiffusionImageFilter::New();
}

PyObject *PyVTKClass_vtkITKGradientAnisotropicDiffusionImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKGradientAnisotropicDiffusionImageFilterStaticNew,
                        PyvtkITKGradientAnisotropicDiffusionImageFilterMethods,
                        (char*)"vtkITKGradientAnisotropicDiffusionImageFilter",modulename,
                        (char**)vtkITKGradientAnisotropicDiffusionImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

