// python wrapper for vtkITKGradientMagnitudeImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKGradientMagnitudeImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKGradientMagnitudeImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKGradientMagnitudeImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKGradientMagnitudeImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeImageFilter *op;

  const char    *temp20;
  op = (vtkITKGradientMagnitudeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKGradientMagnitudeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGradientMagnitudeImageFilter *op;

  vtkITKGradientMagnitudeImageFilter  *temp20;
  op = (vtkITKGradientMagnitudeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGradientMagnitudeImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGradientMagnitudeImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKGradientMagnitudeImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKGradientMagnitudeImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkITKGradientMagnitudeImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKGradientMagnitudeImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKGradientMagnitudeImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKGradientMagnitudeImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKGradientMagnitudeImageFilter\nC++: vtkITKGradientMagnitudeImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKGradientMagnitudeImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKGradientMagnitudeImageFilter\nC++: vtkITKGradientMagnitudeImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKGradientMagnitudeImageFilterDoc[] = {
  (char*)"vtkITKGradientMagnitudeImageFilter - Wrapper class around itk::GradientMagnitudeImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKGradientMagnitudeImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKGradientMagnitudeImageFilterStaticNew()
{
  return vtkITKGradientMagnitudeImageFilter::New();
}

PyObject *PyVTKClass_vtkITKGradientMagnitudeImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKGradientMagnitudeImageFilterStaticNew,
                        PyvtkITKGradientMagnitudeImageFilterMethods,
                        (char*)"vtkITKGradientMagnitudeImageFilter",modulename,
                        (char**)vtkITKGradientMagnitudeImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

