// python wrapper for vtkITKGrayscaleFillholeImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKGrayscaleFillholeImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKGrayscaleFillholeImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKGrayscaleFillholeImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKGrayscaleFillholeImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGrayscaleFillholeImageFilter *op;

  const char    *temp20;
  op = (vtkITKGrayscaleFillholeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGrayscaleFillholeImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGrayscaleFillholeImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGrayscaleFillholeImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKGrayscaleFillholeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGrayscaleFillholeImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGrayscaleFillholeImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKGrayscaleFillholeImageFilter *op;

  vtkITKGrayscaleFillholeImageFilter  *temp20;
  op = (vtkITKGrayscaleFillholeImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKGrayscaleFillholeImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKGrayscaleFillholeImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKGrayscaleFillholeImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKGrayscaleFillholeImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkITKGrayscaleFillholeImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKGrayscaleFillholeImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKGrayscaleFillholeImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKGrayscaleFillholeImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKGrayscaleFillholeImageFilter\nC++: vtkITKGrayscaleFillholeImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKGrayscaleFillholeImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKGrayscaleFillholeImageFilter\nC++: vtkITKGrayscaleFillholeImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKGrayscaleFillholeImageFilterDoc[] = {
  (char*)"vtkITKGrayscaleFillholeImageFilter - Wrapper class around itk::GrayscaleFillholeImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKGrayscaleFillholeImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKGrayscaleFillholeImageFilterStaticNew()
{
  return vtkITKGrayscaleFillholeImageFilter::New();
}

PyObject *PyVTKClass_vtkITKGrayscaleFillholeImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKGrayscaleFillholeImageFilterStaticNew,
                        PyvtkITKGrayscaleFillholeImageFilterMethods,
                        (char*)"vtkITKGrayscaleFillholeImageFilter",modulename,
                        (char**)vtkITKGrayscaleFillholeImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

