// python wrapper for vtkITKImageToImageFilter2DFF object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKImageToImageFilter2DFF.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKImageToImageFilter2DFFNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilter2DFFNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterNew(char *); }

static PyObject *PyvtkITKImageToImageFilter2DFF_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter2DFF *op;

  const char    *temp20;
  op = (vtkITKImageToImageFilter2DFF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter2DFF::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter2DFF_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter2DFF *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKImageToImageFilter2DFF *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter2DFF::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKImageToImageFilter2DFF_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKImageToImageFilter2DFF *op;

  vtkITKImageToImageFilter2DFF  *temp20;
  op = (vtkITKImageToImageFilter2DFF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKImageToImageFilter2DFF::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKImageToImageFilter2DFFMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKImageToImageFilter2DFF_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKImageToImageFilter2DFF_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKImageToImageFilter2DFF_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKImageToImageFilter2DFF\nC++: vtkITKImageToImageFilter2DFF *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKImageToImageFilter2DFFDoc[] = {
  (char*)"vtkITKImageToImageFilter - Abstract base class for connecting ITK and VTK\n\n",
  "Super Class:\n\n vtkITKImageToImageFilter\n\n",
  (char*)" vtkITKImageToImageFilter provides a \n\n",
  NULL
};

static vtkObjectBase *vtkITKImageToImageFilter2DFFStaticNew()
{
  return vtkITKImageToImageFilter2DFF::New();
}

PyObject *PyVTKClass_vtkITKImageToImageFilter2DFFNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKImageToImageFilter2DFFStaticNew,
                        PyvtkITKImageToImageFilter2DFFMethods,
                        (char*)"vtkITKImageToImageFilter2DFF",modulename,
                        (char**)vtkITKImageToImageFilter2DFFDoc,
                        PyVTKClass_vtkITKImageToImageFilterNew(modulename));
}

