// tcl wrapper for vtkITKImageToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkITKImageToImageFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkImageToImageFilterCppCommand(vtkImageToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkITKImageToImageFilterCppCommand(vtkITKImageToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkITKImageToImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkITKImageToImageFilterCppCommand(static_cast<vtkITKImageToImageFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkITKImageToImageFilterCppCommand(vtkITKImageToImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkITKImageToImageFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageToImageFilterCppCommand(static_cast<vtkImageToImageFilter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageToImageFilter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkITKImageToImageFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKImageToImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("CastInputOn",argv[1]))&&(argc == 2))
    {
    op->CastInputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CastInputOff",argv[1]))&&(argc == 2))
    {
    op->CastInputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCastInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCastInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCastInput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCastInput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataBeforeUpdateFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataBeforeUpdateFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataBeforeUpdateFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataBeforeUpdateFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataBeforeUpdateFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataBeforeUpdateFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataBeforeUpdateFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataBeforeUpdateFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Modified",argv[1]))&&(argc == 2))
    {
    op->Modified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DebugOn",argv[1]))&&(argc == 2))
    {
    op->DebugOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DebugOff",argv[1]))&&(argc == 2))
    {
    op->DebugOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkImageData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    op->UpdateWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkITKImageToImageFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageToImageFilterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkITKImageToImageFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  CastInputOn\n",NULL);
    Tcl_AppendResult(interp,"  CastInputOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCastInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCastInput\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataBeforeUpdateFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataBeforeUpdateFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataBeforeUpdateFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataBeforeUpdateFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  Modified\n",NULL);
    Tcl_AppendResult(interp,"  DebugOn\n",NULL);
    Tcl_AppendResult(interp,"  DebugOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageToImageFilterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "CastInputOn" );
    Tcl_DStringAppendElement ( &dString, "CastInputOff" );
    Tcl_DStringAppendElement ( &dString, "SetCastInput" );
    Tcl_DStringAppendElement ( &dString, "GetCastInput" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataBeforeUpdateFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataBeforeUpdateFlag" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataBeforeUpdateFlagOn" );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataBeforeUpdateFlagOff" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageToImageFilterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CastInputOn */
    if ( strcmp ( argv[2], "CastInputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CastInputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CastInputOn */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n" );
    Tcl_DStringAppendElement ( &dString, "void CastInputOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for CastInputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CastInputOff */
    if ( strcmp ( argv[2], "CastInputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CastInputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CastInputOff */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n" );
    Tcl_DStringAppendElement ( &dString, "void CastInputOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for CastInputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCastInput */
    if ( strcmp ( argv[2], "SetCastInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCastInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCastInput */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCastInput (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetCastInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCastInput */
    if ( strcmp ( argv[2], "GetCastInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCastInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCastInput */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters typically cast their input to pixel type\n consistent with the particular instantiation of the ITK filter.\n If we know the types are going to be consistent, we can save\n memory by skipping the cast. Default is to cast.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCastInput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetCastInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataBeforeUpdateFlag */
    if ( strcmp ( argv[2], "SetReleaseDataBeforeUpdateFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataBeforeUpdateFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataBeforeUpdateFlag */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReleaseDataBeforeUpdateFlag (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetReleaseDataBeforeUpdateFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataBeforeUpdateFlag */
    if ( strcmp ( argv[2], "GetReleaseDataBeforeUpdateFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataBeforeUpdateFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataBeforeUpdateFlag */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReleaseDataBeforeUpdateFlag ();return " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetReleaseDataBeforeUpdateFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataBeforeUpdateFlagOn */
    if ( strcmp ( argv[2], "ReleaseDataBeforeUpdateFlagOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataBeforeUpdateFlagOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataBeforeUpdateFlagOn */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataBeforeUpdateFlagOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for ReleaseDataBeforeUpdateFlagOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseDataBeforeUpdateFlagOff */
    if ( strcmp ( argv[2], "ReleaseDataBeforeUpdateFlagOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseDataBeforeUpdateFlagOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseDataBeforeUpdateFlagOff */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseDataBeforeUpdateFlagOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for ReleaseDataBeforeUpdateFlagOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();unsigned long t1 t2 t1 this Superclass GetMTime t2 this vtkExporter GetMTime if t2 t1 t1 t2 t2 this vtkImporter GetMTime if t2 t1 t1 t2 return t1 " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Modified */
    if ( strcmp ( argv[2], "Modified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Modified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Modified */
    Tcl_DStringAppendElement ( &dString, " Pass modified message to itk filter\n" );
    Tcl_DStringAppendElement ( &dString, "void Modified ();this Superclass Modified if this m_Process m_Process Modified " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for Modified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOn */
    if ( strcmp ( argv[2], "DebugOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOn */
    Tcl_DStringAppendElement ( &dString, " Pass DebugOn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DebugOn ();this m_Process DebugOn " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for DebugOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugOff */
    if ( strcmp ( argv[2], "DebugOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugOff */
    Tcl_DStringAppendElement ( &dString, " Pass DebugOff.\n" );
    Tcl_DStringAppendElement ( &dString, "void DebugOff ();this m_Process DebugOff " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for DebugOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Pass SetNumberOfThreads.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads (int val);this m_Process SetNumberOfThreads val " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Pass SetNumberOfThreads.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads ();return this m_Process GetNumberOfThreads " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutput */
    if ( strcmp ( argv[2], "SetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutput */
    Tcl_DStringAppendElement ( &dString, " This method returns the cache to make a connection\n It justs feeds the request to the sub filter.\n Ask the executive to setup the new output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutput (vtkImageData *d);if d this vtkImporter GetOutput return this vtkImporter GetExecutive SetOutputData d this vtkImporter Modified this vtkImporter SetOutput d " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " This method returns the cache to make a connection\n It justs feeds the request to the sub filter.\n Ask the executive to setup the new output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetOutput ();return this vtkImporter GetOutput " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " This method returns the cache to make a connection\n It justs feeds the request to the sub filter.\n Ask the executive to setup the new output.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkImageData *GetOutput (int idx);return vtkImageData this vtkImporter GetOutput idx " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the Input of the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput (vtkImageData *Input);this vtkCast SetInput Input " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataFlag */
    if ( strcmp ( argv[2], "SetReleaseDataFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataFlag */
    Tcl_DStringAppendElement ( &dString, " this class's GetOutput(). vtkSource's GetOutput is not virtual.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReleaseDataFlag (int f);this vtkCast SetReleaseDataFlag f " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for SetReleaseDataFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " this class's GetOutput(). vtkSource's GetOutput is not virtual.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update ();if this CastInput this vtkExporter SetInput this vtkCast GetOutput else this vtkExporter SetInput static_cast vtkImageData this vtkCast GetInput if this GetOutput this GetOutput Update if this GetOutput GetSource " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateWholeExtent */
    if ( strcmp ( argv[2], "UpdateWholeExtent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateWholeExtent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateWholeExtent */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UpdateWholeExtent ();if this CastInput this vtkExporter SetInput this vtkCast GetOutput else this vtkExporter SetInput static_cast vtkImageData this vtkCast GetInput if this GetOutput this GetOutput GetSource UpdateWholeExtent " );
    Tcl_DStringAppendElement ( &dString, "vtkITKImageToImageFilter" );
    /* Closing for UpdateWholeExtent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageToImageFilterCppCommand(static_cast<vtkImageToImageFilter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
