// python wrapper for vtkITKLaplacianSegmentationLevelSetImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKLaplacianSegmentationLevelSetImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKLaplacianSegmentationLevelSetImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKLaplacianSegmentationLevelSetImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFFNew(char *); }

static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  const char    *temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  vtkITKLaplacianSegmentationLevelSetImageFilter  *temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKLaplacianSegmentationLevelSetImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKLaplacianSegmentationLevelSetImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetIsoSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetIsoSurfaceValue();
      }
    else
      {
      temp20 = op->GetIsoSurfaceValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetIsoSurfaceValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetIsoSurfaceValue(temp0);
      }
    else
      {
      op->SetIsoSurfaceValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetNumberOfIterations(temp0);
      }
    else
      {
      op->SetNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetMaximumIterations(temp0);
      }
    else
      {
      op->SetMaximumIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetMaximumIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetMaximumIterations();
      }
    else
      {
      temp20 = op->GetMaximumIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetMaximumRMSError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetMaximumRMSError(temp0);
      }
    else
      {
      op->SetMaximumRMSError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetReverseExpansionDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetReverseExpansionDirection(temp0);
      }
    else
      {
      op->SetReverseExpansionDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetUseNegativeFeatures(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetUseNegativeFeatures(temp0);
      }
    else
      {
      op->SetUseNegativeFeatures(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetFeatureImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetFeatureImage(temp0);
      }
    else
      {
      op->SetFeatureImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetFeatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetFeatureScaling(temp0);
      }
    else
      {
      op->SetFeatureScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetCurvatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp0;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::SetCurvatureScaling(temp0);
      }
    else
      {
      op->SetCurvatureScaling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetCurvatureScaling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetCurvatureScaling();
      }
    else
      {
      temp20 = op->GetCurvatureScaling();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetSpeedImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  vtkImageData  *temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetSpeedImage();
      }
    else
      {
      temp20 = op->GetSpeedImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetRMSChange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  float    temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetRMSChange();
      }
    else
      {
      temp20 = op->GetRMSChange();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetElapsedIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  int      temp20;
  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKLaplacianSegmentationLevelSetImageFilter::GetElapsedIterations();
      }
    else
      {
      temp20 = op->GetElapsedIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKLaplacianSegmentationLevelSetImageFilter_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKLaplacianSegmentationLevelSetImageFilter *op;

  op = (vtkITKLaplacianSegmentationLevelSetImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkITKLaplacianSegmentationLevelSetImageFilter::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkITKLaplacianSegmentationLevelSetImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKLaplacianSegmentationLevelSetImageFilter\nC++: vtkITKLaplacianSegmentationLevelSetImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKLaplacianSegmentationLevelSetImageFilter\nC++: vtkITKLaplacianSegmentationLevelSetImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetIsoSurfaceValue",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetIsoSurfaceValue, 1,
   (char*)"V.GetIsoSurfaceValue() -> float\nC++: float GetIsoSurfaceValue ();DelegateITKOutputMacro GetIsoSurfaceValue \n\n"},
  {(char*)"SetIsoSurfaceValue",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetIsoSurfaceValue, 1,
   (char*)"V.SetIsoSurfaceValue(float)\nC++: void SetIsoSurfaceValue (float value);DelegateITKInputMacro SetIsoSurfaceValue value \n\n"},
  {(char*)"SetNumberOfIterations",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetNumberOfIterations, 1,
   (char*)"V.SetNumberOfIterations(int)\nC++: void SetNumberOfIterations (int value);DelegateITKInputMacro SetNumberOfIterations value \n\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();DelegateITKOutputMacro GetNumberOfIterations \n\n"},
  {(char*)"SetMaximumIterations",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetMaximumIterations, 1,
   (char*)"V.SetMaximumIterations(int)\nC++: void SetMaximumIterations (int value);DelegateITKInputMacro SetMaximumIterations value \n\n"},
  {(char*)"GetMaximumIterations",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetMaximumIterations, 1,
   (char*)"V.GetMaximumIterations() -> int\nC++: int GetMaximumIterations ();DelegateITKOutputMacro GetMaximumIterations \n\n"},
  {(char*)"SetMaximumRMSError",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetMaximumRMSError, 1,
   (char*)"V.SetMaximumRMSError(float)\nC++: void SetMaximumRMSError (float value);DelegateITKInputMacro SetMaximumRMSError value \n\n"},
  {(char*)"SetReverseExpansionDirection",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetReverseExpansionDirection, 1,
   (char*)"V.SetReverseExpansionDirection(int)\nC++: void SetReverseExpansionDirection (int value);DelegateITKInputMacro SetReverseExpansionDirection value \n\n"},
  {(char*)"SetUseNegativeFeatures",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetUseNegativeFeatures, 1,
   (char*)"V.SetUseNegativeFeatures(int)\nC++: void SetUseNegativeFeatures (int value);DelegateITKInputMacro SetUseNegativeFeatures value \n\n"},
  {(char*)"SetFeatureImage",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetFeatureImage, 1,
   (char*)"V.SetFeatureImage(vtkImageData)\nC++: void SetFeatureImage (vtkImageData *value);this vtkFeatureExporter SetInput value \n\n"},
  {(char*)"SetFeatureScaling",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetFeatureScaling, 1,
   (char*)"V.SetFeatureScaling(float)\nC++: void SetFeatureScaling (float value);DelegateITKInputMacro SetFeatureScaling value \n\n"},
  {(char*)"SetCurvatureScaling",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_SetCurvatureScaling, 1,
   (char*)"V.SetCurvatureScaling(float)\nC++: void SetCurvatureScaling (float value);DelegateITKInputMacro SetCurvatureScaling value \n\n"},
  {(char*)"GetCurvatureScaling",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetCurvatureScaling, 1,
   (char*)"V.GetCurvatureScaling() -> float\nC++: float GetCurvatureScaling ();DelegateITKOutputMacro GetCurvatureScaling \n\n"},
  {(char*)"GetSpeedImage",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetSpeedImage, 1,
   (char*)"V.GetSpeedImage() -> vtkImageData\nC++: vtkImageData *GetSpeedImage ();this vtkSpeedImporter Update return this vtkSpeedImporter GetOutput \n\n"},
  {(char*)"GetRMSChange",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetRMSChange, 1,
   (char*)"V.GetRMSChange() -> float\nC++: float GetRMSChange ();DelegateITKOutputMacro GetRMSChange \n\n"},
  {(char*)"GetElapsedIterations",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_GetElapsedIterations, 1,
   (char*)"V.GetElapsedIterations() -> int\nC++: int GetElapsedIterations ();DelegateITKOutputMacro GetElapsedIterations \n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkITKLaplacianSegmentationLevelSetImageFilter_Update, 1,
   (char*)"V.Update()\nC++: void Update ();if this vtkFeatureExporter GetInput this itkFeatureImporter Update if this GetOutput this GetOutput Update if this GetOutput GetSource \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKLaplacianSegmentationLevelSetImageFilterDoc[] = {
  (char*)"vtkITKLaplacianSegmentationLevelSetImageFilter - Wrapper class around itk::LaplacianSegmentationLevelSetImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFF\n\n",
  (char*)" vtkITKLaplacianSegmentationLevelSetImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKLaplacianSegmentationLevelSetImageFilterStaticNew()
{
  return vtkITKLaplacianSegmentationLevelSetImageFilter::New();
}

PyObject *PyVTKClass_vtkITKLaplacianSegmentationLevelSetImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKLaplacianSegmentationLevelSetImageFilterStaticNew,
                        PyvtkITKLaplacianSegmentationLevelSetImageFilterMethods,
                        (char*)"vtkITKLaplacianSegmentationLevelSetImageFilter",modulename,
                        (char**)vtkITKLaplacianSegmentationLevelSetImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFFNew(modulename));
}

