// python wrapper for vtkITKNormalizeImageFilterSF object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKNormalizeImageFilterSF.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKNormalizeImageFilterSFNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKNormalizeImageFilterSFNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterSFNew(char *); }

static PyObject *PyvtkITKNormalizeImageFilterSF_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilterSF *op;

  const char    *temp20;
  op = (vtkITKNormalizeImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilterSF::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilterSF_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilterSF *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKNormalizeImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilterSF::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilterSF_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKNormalizeImageFilterSF *op;

  vtkITKNormalizeImageFilterSF  *temp20;
  op = (vtkITKNormalizeImageFilterSF *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKNormalizeImageFilterSF::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKNormalizeImageFilterSF_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKNormalizeImageFilterSF  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKNormalizeImageFilterSF::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkITKNormalizeImageFilterSFMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKNormalizeImageFilterSF_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKNormalizeImageFilterSF_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKNormalizeImageFilterSF_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKNormalizeImageFilterSF\nC++: vtkITKNormalizeImageFilterSF *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKNormalizeImageFilterSF_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKNormalizeImageFilterSF\nC++: vtkITKNormalizeImageFilterSF *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKNormalizeImageFilterSFDoc[] = {
  (char*)"vtkITKNormalizeImageFilterSF - Wrapper class around itk::NormalizeImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterSF\n\n",
  (char*)" vtkITKNormalizeImageFilterSF\n\n",
  NULL
};

static vtkObjectBase *vtkITKNormalizeImageFilterSFStaticNew()
{
  return vtkITKNormalizeImageFilterSF::New();
}

PyObject *PyVTKClass_vtkITKNormalizeImageFilterSFNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKNormalizeImageFilterSFStaticNew,
                        PyvtkITKNormalizeImageFilterSFMethods,
                        (char*)"vtkITKNormalizeImageFilterSF",modulename,
                        (char**)vtkITKNormalizeImageFilterSFDoc,
                        PyVTKClass_vtkITKImageToImageFilterSFNew(modulename));
}

