// tcl wrapper for vtkITKRelabelComponentImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkITKRelabelComponentImageFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkITKRelabelComponentImageFilterNewCommand()
{
  vtkITKRelabelComponentImageFilter *temp = vtkITKRelabelComponentImageFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkITKImageToImageFilterULULCppCommand(vtkITKImageToImageFilterULUL *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkITKRelabelComponentImageFilterCppCommand(vtkITKRelabelComponentImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkITKRelabelComponentImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkITKRelabelComponentImageFilterCppCommand(static_cast<vtkITKRelabelComponentImageFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkITKRelabelComponentImageFilterCppCommand(vtkITKRelabelComponentImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkITKRelabelComponentImageFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkITKImageToImageFilterULULCppCommand(static_cast<vtkITKImageToImageFilterULUL *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkITKImageToImageFilterULUL"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkITKRelabelComponentImageFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKRelabelComponentImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkITKRelabelComponentImageFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKRelabelComponentImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkITKRelabelComponentImageFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkITKRelabelComponentImageFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReleaseDataBeforeUpdateFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataBeforeUpdateFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataBeforeUpdateFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataBeforeUpdateFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInPlace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInPlace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInPlace",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInPlace();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InPlaceOn",argv[1]))&&(argc == 2))
    {
    op->InPlaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InPlaceOff",argv[1]))&&(argc == 2))
    {
    op->InPlaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfObjects",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetNumberOfObjects();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSizeOfObjectInPixels",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->GetSizeOfObjectInPixels(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeOfObjectInPhysicalUnits",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->GetSizeOfObjectInPhysicalUnits(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkITKRelabelComponentImageFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkITKImageToImageFilterULULCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkITKRelabelComponentImageFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataBeforeUpdateFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataBeforeUpdateFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetInPlace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInPlace\n",NULL);
    Tcl_AppendResult(interp,"  InPlaceOn\n",NULL);
    Tcl_AppendResult(interp,"  InPlaceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfObjects\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeOfObjectInPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeOfObjectInPhysicalUnits\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkITKImageToImageFilterULULCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataBeforeUpdateFlag" );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataBeforeUpdateFlag" );
    Tcl_DStringAppendElement ( &dString, "SetInPlace" );
    Tcl_DStringAppendElement ( &dString, "GetInPlace" );
    Tcl_DStringAppendElement ( &dString, "InPlaceOn" );
    Tcl_DStringAppendElement ( &dString, "InPlaceOff" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjects" );
    Tcl_DStringAppendElement ( &dString, "GetSizeOfObjectInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetSizeOfObjectInPhysicalUnits" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkITKImageToImageFilterULULCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkITKRelabelComponentImageFilter *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReleaseDataBeforeUpdateFlag */
    if ( strcmp ( argv[2], "SetReleaseDataBeforeUpdateFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReleaseDataBeforeUpdateFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReleaseDataBeforeUpdateFlag */
    Tcl_DStringAppendElement ( &dString, " vtkITK filters can be told to release their bulk output data\n during a pipeline update.  Setting the\n ReleaseDataBeforeUpdateFlag can minimize peak memory utilization\n during a pipeline update.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetReleaseDataBeforeUpdateFlag (int i);DelegateSetMacro ReleaseDataBeforeUpdateFlag i " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for SetReleaseDataBeforeUpdateFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReleaseDataBeforeUpdateFlag */
    if ( strcmp ( argv[2], "GetReleaseDataBeforeUpdateFlag" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReleaseDataBeforeUpdateFlag" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReleaseDataBeforeUpdateFlag */
    Tcl_DStringAppendElement ( &dString, " Turn inplace  filter operation on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetReleaseDataBeforeUpdateFlag ();DelegateGetMacro ReleaseDataBeforeUpdateFlag " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetReleaseDataBeforeUpdateFlag */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInPlace */
    if ( strcmp ( argv[2], "SetInPlace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInPlace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInPlace */
    Tcl_DStringAppendElement ( &dString, " Turn inplace  filter operation on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInPlace (int i);DelegateSetMacro InPlace bool i " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for SetInPlace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInPlace */
    if ( strcmp ( argv[2], "GetInPlace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInPlace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInPlace */
    Tcl_DStringAppendElement ( &dString, " Turn inplace  filter operation on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetInPlace ();DelegateGetMacro InPlace " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetInPlace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InPlaceOn */
    if ( strcmp ( argv[2], "InPlaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InPlaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InPlaceOn */
    Tcl_DStringAppendElement ( &dString, " Turn inplace  filter operation on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void InPlaceOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for InPlaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InPlaceOff */
    if ( strcmp ( argv[2], "InPlaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InPlaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InPlaceOff */
    Tcl_DStringAppendElement ( &dString, " Turn inplace  filter operation on/off.\n" );
    Tcl_DStringAppendElement ( &dString, "void InPlaceOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for InPlaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfObjects */
    if ( strcmp ( argv[2], "GetNumberOfObjects" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjects" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfObjects */
    Tcl_DStringAppendElement ( &dString, " Get the size of an object in pixels. Can only be\n called after an Update().vtkITKRelabelComponentImageFilter\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetNumberOfObjects ();return this GetImageFilterPointer GetNumberOfObjects " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetNumberOfObjects */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeOfObjectInPixels */
    if ( strcmp ( argv[2], "GetSizeOfObjectInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeOfObjectInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeOfObjectInPixels */
    Tcl_DStringAppendElement ( &dString, " Get the size of an object in physical units. Can\n only be called after an Update().\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetSizeOfObjectInPixels (unsigned long obj);return this GetImageFilterPointer GetSizeOfObjectInPixels obj " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetSizeOfObjectInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeOfObjectInPhysicalUnits */
    if ( strcmp ( argv[2], "GetSizeOfObjectInPhysicalUnits" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeOfObjectInPhysicalUnits" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeOfObjectInPhysicalUnits */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float GetSizeOfObjectInPhysicalUnits (unsigned long obj);return this GetImageFilterPointer GetSizeOfObjectInPhysicalUnits obj " );
    Tcl_DStringAppendElement ( &dString, "vtkITKRelabelComponentImageFilter" );
    /* Closing for GetSizeOfObjectInPhysicalUnits */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkITKImageToImageFilterULULCppCommand(static_cast<vtkITKImageToImageFilterULUL *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
