// python wrapper for vtkITKTobogganImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkITKTobogganImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkITKTobogganImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkITKTobogganImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkITKImageToImageFilterFULNew(char *); }

static PyObject *PyvtkITKTobogganImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKTobogganImageFilter *op;

  const char    *temp20;
  op = (vtkITKTobogganImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKTobogganImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkITKTobogganImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKTobogganImageFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkITKTobogganImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKTobogganImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKTobogganImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkITKTobogganImageFilter *op;

  vtkITKTobogganImageFilter  *temp20;
  op = (vtkITKTobogganImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkITKTobogganImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkITKTobogganImageFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkITKTobogganImageFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkITKTobogganImageFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkITKTobogganImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkITKTobogganImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkITKTobogganImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkITKTobogganImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkITKTobogganImageFilter\nC++: vtkITKTobogganImageFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkITKTobogganImageFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkITKTobogganImageFilter\nC++: vtkITKTobogganImageFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkITKTobogganImageFilterDoc[] = {
  (char*)"vtkITKTobogganImageFilter - Wrapper class around itk::TobogganImageFilterImageFilter\n\n",
  "Super Class:\n\n vtkITKImageToImageFilterFUL\n\n",
  (char*)" vtkITKTobogganImageFilter\n\n",
  NULL
};

static vtkObjectBase *vtkITKTobogganImageFilterStaticNew()
{
  return vtkITKTobogganImageFilter::New();
}

PyObject *PyVTKClass_vtkITKTobogganImageFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkITKTobogganImageFilterStaticNew,
                        PyvtkITKTobogganImageFilterMethods,
                        (char*)"vtkITKTobogganImageFilter",modulename,
                        (char**)vtkITKTobogganImageFilterDoc,
                        PyVTKClass_vtkITKImageToImageFilterFULNew(modulename));
}

